From db67d9698b0172db0d01d2817ff6fdf75a6eb3d1 Mon Sep 17 00:00:00 2001
From: danigm <daniel.garcia@suse.com>
Date: Thu, 5 Jan 2023 15:27:35 +0100
Subject: [PATCH] Adapt tests to pygments 2.14.0 (#272)

This patch update the test fixtures to match the output of pygments
2.14.0
---
 tests/fixtures/test_CommonMark_008.html    |  4 ++--
 tests/fixtures/test_GFM_doublequotes.html  |  8 ++++----
 tests/fixtures/test_GFM_highlight.html     |  6 +++---
 tests/fixtures/test_GFM_malicious_pre.html |  2 +-
 tests/fixtures/test_rst_008.html           | 18 +++++++++---------
 5 files changed, 19 insertions(+), 19 deletions(-)

diff --git a/tests/fixtures/test_CommonMark_008.html b/tests/fixtures/test_CommonMark_008.html
index b941909..4d52a37 100644
--- a/tests/fixtures/test_CommonMark_008.html
+++ b/tests/fixtures/test_CommonMark_008.html
@@ -9,8 +9,8 @@
 <span class="n">dog</span> <span class="o">=</span> <span class="n">Dog</span><span class="p">(</span><span class="s1">&#39;Fido&#39;</span><span class="p">)</span>
 </pre>
 <p>and then here is some bash:</p>
-<pre lang="bash"><span class="k">if</span> <span class="o">[</span> <span class="s2">&quot;</span><span class="nv">$1</span><span class="s2">&quot;</span> <span class="o">=</span> <span class="s2">&quot;--help&quot;</span> <span class="o">]</span><span class="p">;</span> <span class="k">then</span>
-    <span class="nb">echo</span> <span class="s2">&quot;OK&quot;</span>
+<pre lang="bash"><span class="k">if</span><span class="w"> </span><span class="o">[</span><span class="w"> </span><span class="s2">&quot;</span><span class="nv">$1</span><span class="s2">&quot;</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="s2">&quot;--help&quot;</span><span class="w"> </span><span class="o">]</span><span class="p">;</span><span class="w"> </span><span class="k">then</span>
+<span class="w">    </span><span class="nb">echo</span><span class="w"> </span><span class="s2">&quot;OK&quot;</span>
 <span class="k">fi</span>
 </pre>
 <p>or click <a href="http://www.surveymonkey.com" rel="nofollow">SurveyMonkey</a></p>
diff --git a/tests/fixtures/test_GFM_doublequotes.html b/tests/fixtures/test_GFM_doublequotes.html
index 546fd39..1353714 100644
--- a/tests/fixtures/test_GFM_doublequotes.html
+++ b/tests/fixtures/test_GFM_doublequotes.html
@@ -2,10 +2,10 @@
 <pre><code>This is code text.
 </code></pre>
 <pre lang="python3"><span class="k">def</span> <span class="nf">this_is_python</span><span class="p">():</span>
-    <span class="sd">&quot;&quot;&quot;This is a docstring.&quot;&quot;&quot;</span>
+<span class="w">    </span><span class="sd">&quot;&quot;&quot;This is a docstring.&quot;&quot;&quot;</span>
     <span class="k">pass</span>
 </pre>
-<pre lang="go"><span class="kd">func</span><span class="w"> </span><span class="nx">ThisIsGo</span><span class="p">(){</span><span class="w"></span>
-<span class="w">    </span><span class="k">return</span><span class="w"></span>
-<span class="p">}</span><span class="w"></span>
+<pre lang="go"><span class="kd">func</span><span class="w"> </span><span class="nx">ThisIsGo</span><span class="p">(){</span>
+<span class="w">    </span><span class="k">return</span>
+<span class="p">}</span>
 </pre>
diff --git a/tests/fixtures/test_GFM_highlight.html b/tests/fixtures/test_GFM_highlight.html
index 4094325..c2cf7bb 100644
--- a/tests/fixtures/test_GFM_highlight.html
+++ b/tests/fixtures/test_GFM_highlight.html
@@ -4,9 +4,9 @@
 <pre lang="python3"><span class="k">def</span> <span class="nf">this_is_python</span><span class="p">():</span>
     <span class="k">pass</span>
 </pre>
-<pre lang="go"><span class="kd">func</span><span class="w"> </span><span class="nx">ThisIsGo</span><span class="p">(){</span><span class="w"></span>
-<span class="w">    </span><span class="k">return</span><span class="w"></span>
-<span class="p">}</span><span class="w"></span>
+<pre lang="go"><span class="kd">func</span><span class="w"> </span><span class="nx">ThisIsGo</span><span class="p">(){</span>
+<span class="w">    </span><span class="k">return</span>
+<span class="p">}</span>
 </pre>
 <pre lang="abc">An unknown code fence block
 </pre>
diff --git a/tests/fixtures/test_GFM_malicious_pre.html b/tests/fixtures/test_GFM_malicious_pre.html
index 7194eee..245e17e 100644
--- a/tests/fixtures/test_GFM_malicious_pre.html
+++ b/tests/fixtures/test_GFM_malicious_pre.html
@@ -1,6 +1,6 @@
 <p>This is normal text.</p>
 <pre lang="python3"><span class="k">def</span> <span class="nf">this_is_python</span><span class="p">():</span>
-    <span class="sd">&quot;&quot;&quot;This is a docstring.&quot;&quot;&quot;</span>
+<span class="w">    </span><span class="sd">&quot;&quot;&quot;This is a docstring.&quot;&quot;&quot;</span>
     <span class="k">pass</span>
 <span class="o">&lt;</span><span class="n">script</span> <span class="nb">type</span><span class="o">=</span><span class="s2">&quot;text/javascript&quot;</span><span class="o">&gt;</span><span class="n">alert</span><span class="p">(</span><span class="s1">&#39;I am evil.&#39;</span><span class="p">);</span><span class="o">&lt;/</span><span class="n">script</span><span class="o">&gt;</span>
 </pre>
diff --git a/tests/fixtures/test_rst_008.html b/tests/fixtures/test_rst_008.html
index 621a70c..6a01a9d 100644
--- a/tests/fixtures/test_rst_008.html
+++ b/tests/fixtures/test_rst_008.html
@@ -1,15 +1,15 @@
 <p>Here is some Python code for a <span class="docutils literal">Dog</span>:</p>
-<pre><code><span class="k">class</span> <span class="nc">Dog</span><span class="p">(</span><span class="n">Animal</span><span class="p">):</span>
-    <span class="k">def</span> <span class="fm">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">name</span><span class="p">):</span>
-        <span class="bp">self</span><span class="o">.</span><span class="n">name</span> <span class="o">=</span> <span class="n">name</span>
+<pre><code><span class="k">class</span> <span class="nc">Dog</span><span class="p">(</span><span class="n">Animal</span><span class="p">):</span><span class="w">
+</span>    <span class="k">def</span> <span class="fm">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">name</span><span class="p">):</span><span class="w">
+</span>        <span class="bp">self</span><span class="o">.</span><span class="n">name</span> <span class="o">=</span> <span class="n">name</span><span class="w">
 
-    <span class="k">def</span> <span class="nf">make_sound</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
-        <span class="nb">print</span><span class="p">(</span><span class="s1">'Ruff!'</span><span class="p">)</span>
+</span>    <span class="k">def</span> <span class="nf">make_sound</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span><span class="w">
+</span>        <span class="nb">print</span><span class="p">(</span><span class="s1">'Ruff!'</span><span class="p">)</span><span class="w">
 
-<span class="n">dog</span> <span class="o">=</span> <span class="n">Dog</span><span class="p">(</span><span class="s1">'Fido'</span><span class="p">)</span></code></pre>
+</span><span class="n">dog</span> <span class="o">=</span> <span class="n">Dog</span><span class="p">(</span><span class="s1">'Fido'</span><span class="p">)</span></code></pre>
 <p>and then here is some bash:</p>
-<pre><code><span class="k">if</span> <span class="o">[</span> <span class="s2">&quot;</span><span class="nv">$1</span><span class="s2">&quot;</span> <span class="o">=</span> <span class="s2">&quot;--help&quot;</span> <span class="o">]</span><span class="p">;</span> <span class="k">then</span>
-    <span class="nb">echo</span> <span class="s2">&quot;OK&quot;</span>
-<span class="k">fi</span></code></pre>
+<pre><code><span class="k">if</span><span class="w"> </span><span class="o">[</span><span class="w"> </span><span class="s2">&quot;</span><span class="nv">$1</span><span class="s2">&quot;</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="s2">&quot;--help&quot;</span><span class="w"> </span><span class="o">]</span><span class="p">;</span><span class="w"> </span><span class="k">then</span><span class="w">
+    </span><span class="nb">echo</span><span class="w"> </span><span class="s2">&quot;OK&quot;</span><span class="w">
+</span><span class="k">fi</span></code></pre>
 <p>or click <a href="http://www.surveymonkey.com" rel="nofollow">SurveyMonkey</a></p>
 <pre><code>An unknown code fence block</code></pre>
